# Interface IFindReplaceTargetExtension2

public interface IFindReplaceTargetExtension2
Extension interface for `IFindReplaceTarget`. Extends the find replace target with the concept of state validation.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`validateTargetState()`
Validates the state of this target.

## Method Details

### validateTargetState

boolean validateTargetState()
Validates the state of this target. The predominate intent of this method is to take any action probably necessary to ensure that the target can persistently be changed.

Returns:
  `true` if the target was validated, `false` otherwise